<template>
  <Button @click="userStore.toggleDarkMode" variant="secondary">
    <v-icon name="co-sun" scale="1.0" animation="wrench" speed="fast" hover="true" v-if="userStore.darkMode" />
    <v-icon name="io-moon-outline" scale="1.0" animation="wrench" speed="fast" hover="true" v-else />
  </Button>
</template>

<script setup lang="ts">
import Button from '@/components/ui/button/Button.vue';
import { useUserStore } from './stores/user_settings';
const userStore = useUserStore();

</script>